import 'package:json_annotation/json_annotation.dart';

import 'package:pshared/data/dto/wallet/balance.dart';

part 'wallet_balance.g.dart';


@JsonSerializable(explicitToJson: true)
class WalletBalanceResponse {
  final WalletBalanceDTO balance;

  const WalletBalanceResponse({required this.balance});

  factory WalletBalanceResponse.fromJson(Map<String, dynamic> json) => _$WalletBalanceResponseFromJson(json);
  Map<String, dynamic> toJson() => _$WalletBalanceResponseToJson(this);
}
